VOS_RESTORE(1)

NAME
vos_restore - Converts an ASCII dump file into an AFS volume

SYNOPSIS
vos restore -server <machine name>
    -partition <partition name>
    -name <name of volume to be restored>
    [-file <dump file>]
    [-id <volume ID>]
    [-overwrite (abort | full | incremental)]
    [-offline] [-readonly]
    [-creation (dump | keep | new)]
    [-lastupdate (dump | keep | new)]
    [-nodelete] [-cell <cell name>]
    [-noauth] [-localauth]
    [-verbose] [-encrypt] [-noresolve]
    [-config <config directory>]
    [-help]

vos res -s <machine name>
    -p <partition name>
    -na <name of volume to be restored>
    [-f <dump file>]
    [-i <volume ID>]
    [-ov (a | f | i)]
    [-of] [-r]
    [-cr (d | k | n)]
    [-la (d | k | n)]
    [-nod] [-c <cell name>]
    [-noa] [-lo] [-v] [-e] [-nor]
    [-co <config directory>]
    [-h]

DESCRIPTION
The vos restore command converts a volume dump file previously created with the vos dump command from ASCII into the volume format appropriate for the machine type indicated by the -server argument, and restores it as a read/write volume to the partition named by the -partition argument on that machine. The Volume Server assigns the volume name indicated with the -name argument, and resets the volume's creation timestamp to the time at which the restore operation begins (the creation timestamp is stored in the volume header and reported in the "Creation" field in the output from the vos examine and vos listvol commands.)

Use the -file argument to name the dump file, or omit the argument to provide the file via the standard input stream, presumably through a pipe. The pipe can be named, which enables interoperation with third-party backup utilities.

As described in the following list, the command can create a completely new volume or overwrite an existing volume. In all cases, the full dump of the volume must be restored before any incremental dumps. If there are multiple incremental dump files, they must be restored in the order they were created.

•   To create a new read/write volume, use the -name argument to specify a volume name that does not already exist in the Volume Location Database (VLDB), and the -server and -partition arguments to specify the new volume's site. It is best to omit the -id argument so that the Volume Location (VL) Server allocates a volume ID automatically. Do not include the -overwrite argument, because there is no existing volume to overwrite.

•   To overwrite an existing volume at its current site, specify its name and site with the -name, -server, and -partition arguments. The volume retains its current volume ID number unless the -id argument is provided. Specify the value "f" or "i" for the -overwrite argument to indicate whether the dump file is full or incremental, respectively.

•   To overwrite an existing volume and move it to a new site, specify its name and the new site with the -name, -server, and -partition arguments. The volume retains its current volume ID number unless the -id argument is provided. The volume is removed from its original site. Specify the value "f" for the -overwrite argument to indicate that the dump file is a full dump (it is not possible to restore an incremental dump and move the volume at the same time).

If the volume named by the -name argument already exists and the -overwrite argument is omitted, the command interpreter produces the following prompt:

   Do you want to do a full/incremental restore or abort? [fia](a):

Respond by entering one of the following values:

•   "f" if restoring a full dump file

•   "i" if restoring an incremental dump file

•   "a" or Return to cancel the restore operation

CAUTIONS
If the -file argument is omitted, the issuer must provide all other necessary arguments, because the standard input stream is unavailable for responding to the command interpreter's prompts for missing information. In particular, the issuer must provide the -overwrite argument if overwriting an existing volume.

OPTIONS

-server <server name>
    Identifies the file server machine onto which to restore the volume. Provide the machine's IP address or its host name (either fully qualified or using an unambiguous abbreviation). For details, see vos(1).

-partition <partition name>
    Identifies the partition (on the file server machine specified by the -server argument) onto which to restore the volume. Provide the partition's complete name with preceding slash (for example, /vicepa) or use one of the three acceptable abbreviated forms. For details, see vos(1).

-name <name of volume>
    Specifies the name under which to restore the volume. It can be up to 22 characters long, but cannot end with a ".readonly" or ".backup" extension. If the volume already exists, it is overwritten subject to the value of the -overwrite argument.

-file <dump file>
    Names the dump file to restore. Incomplete pathnames are interpreted relative to the current working directory. Omit this argument to provide the dump file via the standard input stream.

-id <volume ID>
    Specifies the volume ID number to assign to the restored volume.

-overwrite (a | f | i)
    Specifies which type of dump file is being restored when overwriting an existing volume. Provide one of the following values:

    •   "a" to terminate the restore operation.

    •   "f" if restoring a full dump file.

    •   "i" if restoring an incremental dump file. This value is not acceptable if the -server and -partition arguments do not indicate the volume's current site.

    This argument is mandatory if the -file argument is not provided.

-offline
    Leaves the new volume flagged as off-line in the volume database.

-readonly
    Flags the new volume as read-only in the volume database.

-creation <dump | keep | new>
    Set the creation date of the new volume to the timestamp from the dumped volume (dump), from the target volume, if there is one (keep), or generate a new one using the current time (new).

-lastupdate <dump | keep | new>
    Set the last updated date of the new volume to the timestamp from the dumped volume (dump), from the target volume, if there is one (keep), or generate a new one using the current time (new).

-nodelete
    This option is available in OpenAFS clients 1.4.7 or later and 1.5.31 or later. This option can be used with OpenAFS server versions 1.4.1 or later and 1.5.0 or later.

-cell <cell name>
    Names the cell in which to run the command. Do not combine this argument with the -localauth flag. For more details, see vos(1).

-noauth
    Assigns the unprivileged identity "anonymous" to the issuer. Do not combine this flag with the -localauth flag. For more details, see vos(1).

-localauth
    Constructs a server ticket using a key from the local /etc/openafs/server/KeyFile file. The vos command interpreter presents it to the Volume Server and Volume Location Server during mutual authentication. Do not combine this flag with the -cell argument or -noauth flag. For more details, see vos(1).

-verbose
    Produces on the standard output stream a detailed trace of the command's execution. If this argument is omitted, only warnings and error messages appear.

-encrypt
    Encrypts the command so that the operation's results are not transmitted across the network in clear text. This option is available in OpenAFS versions 1.4.11 or later and 1.5.60 or later.

-noresolve
    Shows all servers as IP addresses instead of the DNS name. This is very useful when the server address is registered as 127.0.0.1 or when dealing with multi-homed servers. This option is available in OpenAFS versions 1.4.8 or later and 1.5.35 or later.

-config <configuration directory>
    Set the location of the configuration directory to be used. This defaults to /etc/openafs, except if -localauth is specified, in which case the default is /etc/openafs/server. This option allows the use of alternative configuration locations for testing purposes.

-help
    Prints the online help for this command. All other valid options are ignored.

EXAMPLES
The following command restores the contents of the dump file /afs/example.com/common/dumps/terry.dump to the /vicepc partition on the file server machine "fs3.example.com". The restored volume is named "user.terry".

   % cd /afs/example.com/common/dumps
   % vos restore -file terry.dump -server fs3.example.com -partition c \
       -name user.terry

PRIVILEGE REQUIRED
The issuer must be listed in the /etc/openafs/server/UserList file on the machine specified with the -server argument and on each database server machine. If the -localauth flag is included, the issuer must instead be logged on to a server machine as the local superuser "root".

SEE ALSO
restorevol(1), vos(1), vos_dump(1), vos_examine(1), vos_listvol(1)

COPYRIGHT
IBM Corporation 2000. <http://www.ibm.com/> All Rights Reserved.

This documentation is covered by the IBM Public License Version 1.0. It was converted from HTML to POD by software written by Chas Williams and Russ Allbery, based on work by Alf Wachsmann and Elizabeth Cassell.